// Copyright 2023 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef CHROME_BROWSER_ASH_FILE_MANAGER_UMA_ENUMS_GEN_H_
#define CHROME_BROWSER_ASH_FILE_MANAGER_UMA_ENUMS_GEN_H_

#include "base/files/file_path.h"

// File generated by //ui/file_manager/base/gn/uma_enums_generate.py.
namespace file_manager::file_tasks {

/**
 * List of file extensions to record in UMA, from enums.xml ViewFileType.
 */
enum class ViewFileType {
  kOther,
  k3Ga,
  k3Gp,
  kAac,
  kAlac,
  kAsf,
  kAvi,
  kBmp,
  kCsv,
  kDoc,
  kDocx,
  kFlac,
  kGif,
  kJpeg,
  kJpg,
  kLog,
  kM3U,
  kM3U8,
  kM4A,
  kM4V,
  kMid,
  kMkv,
  kMov,
  kMp3,
  kMp4,
  kMpg,
  kOdf,
  kOdp,
  kOds,
  kOdt,
  kOga,
  kOgg,
  kOgv,
  kPdf,
  kPng,
  kPpt,
  kPptx,
  kRa,
  kRam,
  kRar,
  kRm,
  kRtf,
  kWav,
  kWebm,
  kWebp,
  kWma,
  kWmv,
  kXls,
  kXlsx,
  kCrdownload,
  kCrx,
  kDmg,
  kExe,
  kHtml,
  kHtm,
  kJar,
  kPs,
  kTorrent,
  kTxt,
  kZip,
  kDirectory,
  kNoExtension,
  kUnknownExtension,
  kMhtml,
  kGdoc,
  kGsheet,
  kGslides,
  kArw,
  kCr2,
  kDng,
  kNef,
  kNrw,
  kOrf,
  kRaf,
  kRw2,
  kTini,
  kMaxValue = kTini,
};

ViewFileType GetViewFileType(const base::FilePath& path);

}  // namespace file_manager::file_tasks

#endif  // CHROME_BROWSER_ASH_FILE_MANAGER_UMA_ENUMS_GEN_H_
